# $Revision: 1.20 $, $Date: 2007-12-21 12:44:15 $
#
# Conditional build:
%bcond_with	acml	# With ACML version of BLAS instead of NETLIB implementation
#
Summary:	Subroutines for solving large scale eigenvalue problems
Summary(pl.UTF-8):	Rozwiązywanie zagadnienia własnego dla dużych macierzy
Name:		arpack
Version:	2.1
Release:	3%{?with_acml:ACML}
License:	Freely distributable
Group:		Libraries
Source0:	http://www.caam.rice.edu/software/ARPACK/SRC/%{name}96.tar.gz
# Source0-md5:	fffaa970198b285676f4156cebc8626e
Source1:	http://www.caam.rice.edu/software/ARPACK/SRC/patch.tar.gz
# Source1-md5:	14830d758f195f272b8594a493501fa2
Source2:	http://www.caam.rice.edu/software/ARPACK/SRC/ug.ps.gz
# Source2-md5:	79cc51e4812c75873adafcad2185842e
Source3:	http://www.caam.rice.edu/software/ARPACK/SRC/P57_58.ps.gz
# Source3-md5:	b86d77199f989fc438acaf7ac0433e76
Source4:	http://www.caam.rice.edu/software/ARPACK/SRC/P61_62.ps.gz
# Source4-md5:	d116887acb3d61fecf645c2d37d4d517
Patch0:		%{name}-automake_support.patch
Patch1:		%{name}-no_etime.patch
URL:		http://www.caam.rice.edu/software/ARPACK/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	libtool	>= 2:1.5
%{!?with_acml:BuildRequires:	blas-devel}
%{?with_acml:ExclusiveArch:	%{x8664}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ARPACK software is capable of solving large scale symmetric,
nonsymmetric, and generalized eigenproblems from significant
application areas. The software is designed to compute a few (k)
eigenvalues with user specified features such as those of largest real
part or largest magnitude. Storage requirements are on the order of
n*k locations. No auxiliary storage is required. A set of Schur basis
vectors for the desired k-dimensional eigen-space is computed which is
numerically orthogonal to working precision. Numerically accurate
eigenvectors are available on request.

%description -l pl.UTF-8
Rozwiązywanie zagadnienia własnego (symetrycznego, niesymetrycznego,
ogólnego) dla dużych macierzy. Macierz może być dowolna, przy czym
procedury działają szczególnie dobrze w przypadku dużych macierzy
rzadkich bądź macierzy ze znaną strukturą. Biblioteka służy do
obliczenia kilku (k) wartości własnych o zadanych z góry własnościach,
takich jak największa (najmniejsza) część rzeczywista albo największy
(najmniejszy) moduł. Wymagania pamięciowe są rzędu n*k, żadna
dodatkowa pamięć (np. dyskowa) nie jest wymagana.

%package devel
Summary:	ARPACK development files
Summary(pl.UTF-8):	Pliki programistyczne ARPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{!?with_acml:Requires:	blas-devel}

%description devel
ARPACK development files.

%description devel -l pl.UTF-8
Pliki programistyczne ARPACK.

%package static
Summary:	Static ARPACK library
Summary(pl.UTF-8):	Statyczna biblioteka ARPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ARPACK library.

%description static -l pl.UTF-8
Statyczna biblioteka ARPACK.

%prep
%setup -q -n ARPACK -b1
%patch0 -p1
%patch1 -p1
cp %{SOURCE2} .
cp %{SOURCE3} .
cp %{SOURCE4} .

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	LDFLAGS=%{?with_acml:-lacml}%{!?with_acml:-lblas}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libarpack.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc DOCUMENTS/*.doc *.ps.gz
%attr(755,root,root) %{_libdir}/libarpack.so
%{_libdir}/libarpack.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libarpack.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: arpack.spec,v $
Revision 1.20  2007-12-21 12:44:15  sls
- added no_etime.patch

Revision 1.19  2007-02-12 21:23:47  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.17  2006/08/19 13:01:04  qboosh
- unified

Revision 1.16  2006/08/19 13:00:41  qboosh
- typo

Revision 1.15  2006/08/19 12:08:37  qboosh
- use x8664 macro
- static arpack doesn't enforce static blas

Revision 1.14  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.13  2004/12/16 14:11:45  roman
- reordering of BR's

Revision 1.12  2004/12/16 11:21:10  roman
- added support for conditional building with ACML (freely available proprietary libs for AMD 64)

Revision 1.11  2004/12/07 17:45:24  qboosh
- updated automake_support patch to use --tag=F77, dropped old libtool compat hacks
- strict internal deps

Revision 1.10  2004/12/07 09:22:35  roman
- changed R: lapack-devel to R: blas-devel in subpackage devel
- release 3
- STBR

Revision 1.9  2004/12/06 13:38:44  zbyniu
- BR: which

Revision 1.8  2004/12/06 12:44:47  ankry
- formatting

Revision 1.7  2004/12/06 12:41:29  roman
- added BR: blas-devel
- STBR

Revision 1.6  2004/12/06 12:37:46  roman
- extended Polish description
- added User's Guide in Postscript and some other docs to arpack-devel

Revision 1.5  2004/12/06 11:33:01  roman
- changed automake_support patch in order to use bundled LAPACK codes (rationale: ARPACK needs LAPACK v.2, and PLD has LAPACK v.3)
- release 2

Revision 1.4  2003/12/23 14:37:02  gotar
- removed R which should be autogenerated

Revision 1.3  2003/11/13 07:39:44  qboosh
- oops, patch is back, but now actually applied

Revision 1.2  2003/11/12 23:43:53  qboosh
- link with liblapack, cosmetics

Revision 1.1  2003/11/12 23:13:27  qboosh
- spec from Zbigniew Bryczkowski <kkalii at poczta.onet.pl>
